Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.binding
Class ServiceConfig

    java.lang.Object
      org.jboss.services.binding.ServiceConfig

All Implemented Interfaces:
  Cloneable

public class ServiceConfig
extends Object
implements Cloneable

A ServiceConfig is a mapping from an mbean service name to its ServiceBindings.

Version:
  $Revision: 1.2 $
Author:
  Mike Finn., Scott.Stark@jboss.org

Constructor Summary
`ServiceConfig()` Creates a new instance of ServiceConfig

Method Summary
`Object` | `clone()` Make a deep copy of the ServiceConfig bindings
`boolean` | `equals(Object obj)` Equality is based on the serviceName string
`ServiceBinding[]` | `getBindings()` Getter for property port.
`String` | `getServiceConfigDelegateClassName()` Getter for property serviceConfigDelegateClassName.
`Object` | `getServiceConfigDelegateConfig()` Getter for property serviceConfigDelegateConfig.
`String` | `getServiceName()` Getter for property serviceName.
`int` | `hashCode()` The hash code is based on the serviceName string hashCode.
`void` | `setBindings(ServiceBinding[] bindings)` Setter for property port.
`void` | `setServiceConfigDelegateClassName(String serviceConfigDelegateClassName)` Setter for property serviceConfigDelegateClassName.
`void` | `setServiceConfigDelegateConfig(Object serviceConfigDelegateConfig)` Setter for property serviceConfigDelegateConfig.
`void` | `setServiceName(String serviceName)` Setter for property serviceName.
`String` | `toString()`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceConfig

    public ServiceConfig()

  Creates a new instance of ServiceConfig

Method Detail

### clone

    public Object clone()

  Make a deep copy of the ServiceConfig bindings

### getServiceName

    public String getServiceName()

  Getter for property serviceName.

  Returns:
    Value of property serviceName.

### setServiceName

    public void setServiceName(String serviceName)

  Setter for property serviceName.

  Parameters:
    `serviceName` - New value of property serviceName.

### getBindings

    public ServiceBinding[] getBindings()

  Getter for property port.

  Returns:
    Value of property port.

### setBindings

    public void setBindings(ServiceBinding[] bindings)

  Setter for property port.

### getServiceConfigDelegateClassName

    public String getServiceConfigDelegateClassName()

  Getter for property serviceConfigDelegateClassName.

  Returns:
    Value of property serviceConfigDelegateClassName.

### setServiceConfigDelegateClassName

    public void setServiceConfigDelegateClassName(String serviceConfigDelegateClassName)

  Setter for property serviceConfigDelegateClassName.

  Parameters:
    `serviceConfigDelegateClassName` - New value of property serviceConfigDelegateClassName.

### getServiceConfigDelegateConfig

    public Object getServiceConfigDelegateConfig()

  Getter for property serviceConfigDelegateConfig.

  Returns:
    Value of property serviceConfigDelegateConfig.

### setServiceConfigDelegateConfig

    public void setServiceConfigDelegateConfig(Object serviceConfigDelegateConfig)

  Setter for property serviceConfigDelegateConfig.

  Parameters:
    `serviceConfigDelegateConfig` - New value of property serviceConfigDelegateConfig.

### equals

    public boolean equals(Object obj)

  Equality is based on the serviceName string

### hashCode

    public int hashCode()

  The hash code is based on the serviceName string hashCode.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.